import 'dart:typed_data';

typedef NUIAssetChannel = Future<ByteData> Function(String key);

class NUISystem {
  static List<NUIAssetChannel> _assetChannels = [];

  static void setAssetChannel(NUIAssetChannel channel){
    _assetChannels.add(channel);
  }

  static List<NUIAssetChannel> get assetChannels{
    return _assetChannels;
  }

  static void clearAssetChannel(){
    _assetChannels.clear();
  }

}